Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisMessage

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisMessage

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude

    public class AxisMessage

extends AxisDescription

This class represents the messages in WSDL. There can be message element in services.xml which are represented by this class.

Field Summary

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`AxisMessage()`

Method Summary
`void` | `addModuleRefs(java.lang.String moduleName)`
`void` | `addSoapHeader(SOAPHeaderMessage soapHeaderMessage)`
`org.apache.neethi.Policy` | `calculateEffectivePolicy()`
`AxisOperation` | `getAxisOperation()`
`java.lang.String` | `getDirection()`
`org.apache.neethi.Policy` | `getEffectivePolicy()`
`javax.xml.namespace.QName` | `getElementQName()`
`java.util.List` | `getExtensibilityAttributes()` This will return a list of WSDLExtensibilityAttribute
`java.lang.Object` | `getKey()`
`java.util.ArrayList<Handler>` | `getMessageFlow()`
`java.lang.String` | `getMessagePartName()`
`java.util.ArrayList<java.lang.String>` | `getModulerefs()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPartName()`
`org.apache.ws.commons.schema.XmlSchemaElement` | `getSchemaElement()`
`java.util.ArrayList` | `getSoapHeaders()`
`boolean` | `isParameterLocked(java.lang.String parameterName)` Checks whether the parameter is locked at any level.
`boolean` | `isPolicyUpdated()`
`boolean` | `isWrapped()`
`void` | `onEngage(AxisModule axisModule, AxisDescription engager)` We do not support adding module operations when engaging a module to an AxisMessage
`void` | `setDirection(java.lang.String direction)`
`void` | `setElementQName(javax.xml.namespace.QName element)`
`void` | `setMessageFlow(java.util.ArrayList<Handler> operationFlow)`
`void` | `setMessagePartName(java.lang.String messagePartName)`
`void` | `setName(java.lang.String name)`
`void` | `setPartName(java.lang.String partName)`
`void` | `setWrapped(boolean wrapped)`

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isEngaged, isParameterTrue, onDisengage, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisMessage

    public AxisMessage()

Method Detail

### getMessagePartName

    public java.lang.String getMessagePartName()

### setMessagePartName

    public void setMessagePartName(java.lang.String messagePartName)

### getMessageFlow

    public java.util.ArrayList<Handler> getMessageFlow()

### isParameterLocked

    public boolean isParameterLocked(java.lang.String parameterName)

  Description copied from interface: `ParameterInclude`
  Checks whether the parameter is locked at any level.

  Specified by:
    `isParameterLocked` in interface `ParameterInclude`
  Overrides:
    `isParameterLocked` in class `AxisDescription`

### setMessageFlow

    public void setMessageFlow(java.util.ArrayList<Handler> operationFlow)

### getDirection

    public java.lang.String getDirection()

### setDirection

    public void setDirection(java.lang.String direction)

### getElementQName

    public javax.xml.namespace.QName getElementQName()

### setElementQName

    public void setElementQName(javax.xml.namespace.QName element)

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in class `AxisDescription`

### getSchemaElement

    public org.apache.ws.commons.schema.XmlSchemaElement getSchemaElement()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getExtensibilityAttributes

    public java.util.List getExtensibilityAttributes()

  This will return a list of WSDLExtensibilityAttribute

  Returns:

### addSoapHeader

    public void addSoapHeader(SOAPHeaderMessage soapHeaderMessage)

### getSoapHeaders

    public java.util.ArrayList getSoapHeaders()

### onEngage

    public void onEngage(AxisModule axisModule,
                         AxisDescription engager)
                  throws AxisFault

  We do not support adding module operations when engaging a module to an AxisMessage

  Overrides:
    `onEngage` in class `AxisDescription`
  Parameters:
    `axisModule` - AxisModule to engage
    `engager` -
  Throws:
    `AxisFault` - something went wrong

### getModulerefs

    public java.util.ArrayList<java.lang.String> getModulerefs()

### addModuleRefs

    public void addModuleRefs(java.lang.String moduleName)

### getAxisOperation

    public AxisOperation getAxisOperation()

### getPartName

    public java.lang.String getPartName()

### setPartName

    public void setPartName(java.lang.String partName)

### isWrapped

    public boolean isWrapped()

### setWrapped

    public void setWrapped(boolean wrapped)

### getEffectivePolicy

    public org.apache.neethi.Policy getEffectivePolicy()

### calculateEffectivePolicy

    public org.apache.neethi.Policy calculateEffectivePolicy()

### isPolicyUpdated

    public boolean isPolicyUpdated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.